/*
 * gpio_init.h
 *
 *  Created on: 4 сент. 2023 г.
 *      Author: seklyuts
 */

#ifndef SRC_GPIO_INIT_H_
#define SRC_GPIO_INIT_H_


#define FaultAL     !GpioDataRegs.GPCDAT.bit.GPIO90
#define FaultAH     !GpioDataRegs.GPCDAT.bit.GPIO92
#define FaultBL     !GpioDataRegs.GPCDAT.bit.GPIO94
#define FaultBH     !GpioDataRegs.GPDDAT.bit.GPIO127
#define FaultCL     !GpioDataRegs.GPEDAT.bit.GPIO147
#define FaultCH     !GpioDataRegs.GPDDAT.bit.GPIO104

void GpioInit(void);
//void Gpio20out(uint16_t out_bit);
//void Gpio21out(uint16_t out_bit);

void Gpio54out(uint16_t out_bit);
void Gpio55out(uint16_t out_bit);
void Gpio56out(uint16_t out_bit);
void Gpio57out(uint16_t out_bit);

#endif /* SRC_GPIO_INIT_H_ */
